import { DataTypes } from 'sequelize';
import sequelize from '../config/db.js';
import UserModel from './usermanagement.model.js';
import AccountantModel from './accountant.model.js';
import InvoiceModel from './invoice.model.js';
import BillModel from './bill.model.js';
import ExpenseModel from './expense.model.js';
import SalaryModel from './salary.model.js';
import DomainManagementModel from './domainmanagement.model.js';
import HostingModel from './hosting.model.js';
import leadmanagementModel from './leadmanagement.model.js';
import clientmanagementModel from './clientmanagement.model.js';
import settingsModel from './settings.modal.js';

const User = UserModel(sequelize, DataTypes);
const Accountant = AccountantModel(sequelize, DataTypes);
const Invoice = InvoiceModel(sequelize, DataTypes);
const Bill = BillModel(sequelize, DataTypes);
const Expense = ExpenseModel(sequelize, DataTypes);
const Salary = SalaryModel(sequelize, DataTypes);
const DomainManagement = DomainManagementModel(sequelize, DataTypes);
const Hosting = HostingModel(sequelize, DataTypes);
const LeadManagement = leadmanagementModel(sequelize, DataTypes);
const ClientManagement = clientmanagementModel(sequelize, DataTypes);
const Settings = settingsModel(sequelize, DataTypes);

// Define associations if needed

 


export {
    User,
    Accountant,
    Invoice,
    Bill,
    Expense,
    Salary,
    DomainManagement,
    Hosting,
    LeadManagement,
    ClientManagement,
    Settings
};

export default {
    User,
    Accountant,
    Invoice,
    Bill,
    Expense,
    Salary,
    DomainManagement,
    Hosting,
    LeadManagement,
    ClientManagement,
    Settings
};
